# Class JSOFA.PrecessionDeltaTerms

java.lang.Object
org.jastronomy.jsofa.JSOFA.PrecessionDeltaTerms

Enclosing class:
  `JSOFA`

public static class JSOFA.PrecessionDeltaTerms extends Object
Precession correction terms.

Since:
  AIDA Stage 1
Version:
  JSOFA Release 20180130
Author:
  Paul Harrison (paul.harrison@manchester.ac.uk) 4 Feb 2010

## Field Summary

Fields
Modifier and Type
Field
Description
`double`
`depspr`
precession correction in obliquity
`double`
`dpsipr`
precession correction in longitude

## Constructor Summary

Constructors
Constructor
Description
`PrecessionDeltaTerms(double dpsipr, double depspr)`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### dpsipr

public double dpsipr
precession correction in longitude

### depspr

public double depspr
precession correction in obliquity

## Constructor Details

### PrecessionDeltaTerms

public PrecessionDeltaTerms(double dpsipr, double depspr)